/*
 File: parallel_oper.cpp
 Date and Time: Fri Jan 30 18:55:18 2015 
*/
#include "parallel_oper.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_parallel_oper;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 1;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
}
  Cparallel_oper::
  Cparallel_oper()
    :yacco2::CAbs_fsm
      ("parallel_oper.lex"
      ,"1.0"
      ,"22 Sept 2005"
      ,false
      ,"Lexer for Parallel operator: \\PARshift."
      ,"Fri Jan 30 18:55:18 2015 "
      ,S1_Cparallel_oper){
    
  }
 
Cparallel_oper::~Cparallel_oper(){

  for(int x = 0;x < 1;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cparallel_oper::failed(){
      return false;
  }
  void Cparallel_oper::op(){
}
int Cparallel_oper::rhs_to_rules_mapping_[5] = {
 -1
 ,0 // subrule 1 for rule 1
 ,0 // subrule 2 for rule 1
 ,0 // subrule 3 for rule 1
 ,0 // subrule 4 for rule 1
}; 
Rparallel_oper::Rparallel_oper(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rparallel_oper",0,Cparallel_oper::R_Rparallel_oper_,P,false,false){
}

void Rparallel_oper::op(){
  sstrace_rulesss
 
      rtn_sym_->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
      RSVP(rtn_sym_);
      rtn_sym_ = 0;      
    
}
void Rparallel_oper::sr1(){
   
      rtn_sym_ = NS_yacco2_k_symbols::PTR_LR1_parallel_operator__; 
    
}

void Rparallel_oper::sr2(){
   
      rtn_sym_ = NS_yacco2_k_symbols::PTR_LR1_parallel_operator__; 
    
}

void Rparallel_oper::sr3(){
   
      rtn_sym_ = NS_yacco2_k_symbols::PTR_LR1_fset_transience_operator__; 
    
}

void Rparallel_oper::sr4(){
   
      rtn_sym_ = NS_yacco2_k_symbols::PTR_LR1_fset_transience_operator__; 
    
}

